XBOW(4)

NAME
xbow - Octane and Origin family XIO bus

SYNOPSIS
xbow0 at mainbus0

DESCRIPTION
The xbow driver provides support for the XIO bus found on SGI ‘ccNUMA’ designs, such as the Octane (IP30) and Origin (IP27 and IP35) families, as well as related systems such as Onyx and Tezro.

XIO components are called ‘widgets’ and contain either I/O devices, processors, or memory.

A XIO bus supports up to 16 widgets, but the existing designs only use up to 8.

Special ‘hub’ widgets allow several XIO buses to be interconnected, expanding the capacity of a given system, and allowing complex multi-node systems to be built.

The widgets currently supported under OpenBSD are:

impact(4)
    SGI Impact (aka Mardigras) graphics
odyssey(4)
    SGI VPro (aka Odyssey) graphics
xbridge(4)
    XIO-PCI bridge
xheart(4)
    Octane core system widget

SEE ALSO
intro(4), mainbus(4)

HISTORY
The xbow driver first appeared in OpenBSD 4.4.